org.firstinspires.ftc.robotcore.external.navigation

## Class VuforiaBase.TrackingResults

- java.lang.Object
- - org.firstinspires.ftc.robotcore.external.navigation.VuforiaBase.TrackingResults

- Direct Known Subclasses:
    VuforiaRelicRecovery.TrackingResults
  Enclosing class:
    VuforiaBase

      public static class VuforiaBase.TrackingResults
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isUpdatedRobotLocation`
    `boolean` | `isVisible`
    `OpenGLMatrix` | `matrix`
    `java.lang.String` | `name`
    `float` | `x`
    `float` | `xAngle`
    `float` | `y`
    `float` | `yAngle`
    `float` | `z`
    `float` | `zAngle`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrackingResults(VuforiaBase.TrackingResults other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `formatAsTransform()`
    `java.lang.String` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### isVisible

          public boolean isVisible

    - #### isUpdatedRobotLocation

          public boolean isUpdatedRobotLocation

    - #### matrix

          public OpenGLMatrix matrix

    - #### x

          public float x

    - #### y

          public float y

    - #### z

          public float z

    - #### xAngle

          public float xAngle

    - #### yAngle

          public float yAngle

    - #### zAngle

          public float zAngle

  - ### Constructor Detail

    - #### TrackingResults

          protected TrackingResults(VuforiaBase.TrackingResults other)

  - ### Method Detail

    - #### formatAsTransform

          public java.lang.String formatAsTransform()

    - #### toJson

          public java.lang.String toJson()